local assets=
{
    Asset("ANIM", "anim/fishstick.zip"),
    Asset("ANIM", "anim/swap_fishstick.zip"),
    Asset("ATLAS", "images/inventoryimages/fishstick.xml"),
}

local prefabs =
{
	"collapse_small",
	"collapse_big",
}

local function onfinished(inst)
    inst:Remove()
end

local function onattack(inst, owner, target)
	-- Do additional damage to chess monsters
	local health = target.components.health
    if health and (target:HasTag("chess") or target.prefab == "wx78") then
		health:DoDelta(-TUNING.SPEAR_DAMAGE*3,false,owner and owner.prefab,nil,owner)
    end
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_fishstick", "swap_hammer")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
end

local function fn(Sim)
	local inst = CreateEntity()
	local minimap = inst.entity:AddMiniMapEntity()

	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)


    inst:AddTag("irreplaceable")

    minimap:SetIcon("fishstick.tex")

    if not TheWorld.ismastersim then
        return inst
    end


    inst.entity:SetPristine() -- I have no idea what this does.

    inst.AnimState:SetBank("hammer")
    inst.AnimState:SetBuild("fishstick")
    inst.AnimState:PlayAnimation("idle")


    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.PICK_DAMAGE *10)
    inst.components.weapon.onattack = onattack
    inst:AddTag("hammer")

    -----
    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.HAMMER, 3)
    inst.components.tool:SetAction(ACTIONS.MINE, 3)
    inst.components.tool:SetAction(ACTIONS.CHOP, 3)
	inst.components.tool:SetAction(ACTIONS.DIG, 3)
	-------
	--[[
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.HAMMER_USES*4)
    inst.components.finiteuses:SetUses(TUNING.HAMMER_USES*4)

    inst.components.finiteuses:SetOnFinished( onfinished )
    inst.components.finiteuses:SetConsumption(ACTIONS.HAMMER, 1)
    inst.components.finiteuses:SetConsumption(ACTIONS.MINE, 1)
    inst.components.finiteuses:SetConsumption(ACTIONS.CHOP, 1)
	inst.components.finiteuses:SetConsumption(ACTIONS.DIG, 1)
	]]
    -------

    MakeHauntableLaunch(inst)

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/fishstick.xml"

	inst:AddComponent("characterspecific")
    inst.components.characterspecific:SetOwner("Magikarp")

    inst:AddComponent("equippable")

    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )

    return inst
end

return Prefab("common/inventory/fishstick", fn, assets, prefabs)
