local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),
		--
		Asset( "ANIM", "anim/mag.zip" ),
        Asset( "ANIM", "anim/ghost_mag_build.zip" ),

}
local prefabs = {
"fishstick",
}

local start_inv = {
"fishstick",
}

-- This initializes for both clients and the host
local common_postinit = function(inst)
	-- choose which sounds this character will play
	inst.soundsname = "Magikarp"

	-- Minimap icon
	inst.MiniMapEntity:SetIcon( "mag.tex" )
end

-- This initializes for the host only
local master_postinit = function(inst)
	-- Stats
	inst.components.health:SetMaxHealth(300)
	inst.components.hunger:SetMax(1000)
	inst.components.sanity:SetMax(500)
	inst.components.combat.damagemultiplier =(3)
	inst.components.sanity.night_drain_mult = ((TUNING.WENDY_SANITY_MULT * 0.01))
	inst.components.locomotor.walkspeed = (( TUNING.WILSON_WALK_SPEED * 3.00 ))
	inst.components.locomotor.runspeed = (( TUNING.WILSON_RUN_SPEED *  4.00 ))
	inst.Light:Enable(true)
	inst.Light:SetRadius(5)
	inst.Light:SetFalloff(.9)
	inst.Light:SetIntensity(.8)
	inst.Light:SetColour(44/128,97/148,158/48)
end


return MakePlayerCharacter("mag", prefabs, assets, common_postinit, master_postinit, start_inv)
